Commit in lcsim on MAIN
build.sh+43added 1.1
Added simple sh build script.  Works on Unix and Cygwin.  Please tinker with this.

lcsim
build.sh added at 1.1
diff -N build.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ build.sh	14 Jul 2005 08:29:09 -0000	1.1
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+#
+# org.lcsim build on Unix or Cygwin
+#
+
+# check for Maven installation
+maven_not_found=`which maven | grep -v "Command not found"`
+
+if [ -z "$maven_not_found" ]; then
+  
+  echo "ERROR: maven executable was not found." 
+
+  if [ -z "$MAVEN_HOME" ]; then
+    echo "WARNING: MAVEN_HOME doesn't appear to be set." 
+  else 
+    echo "Trying adding MAVEN_HOME to the PATH."
+  fi
+
+  exit 1
+
+fi
+
+# maven cmd 
+maven_run=maven
+
+# COMMENT OUT to include tests
+maven_run=$maven_run" -Dmaven.test.skip=true"
+
+# COMMENT IN for (extremely) verbose debugging output
+#maven_run=$maven_run" -Dmaven.compile.compilerargs=-Xlint:unchecked -Dmaven.compile.fork=true"
+
+# final build target
+maven_run=$maven_run" clean jar:install"
+
+# OR ...
+# COMMENT OUT to NOT do JAS3 jar install into ~/.JAS3/extensions
+maven_run=$maven_run" jas:install"
+
+# lcsim build
+(
+exec $maven_run
+)
CVSspam 0.2.8